Name:           update-ca-certificates
Version:        0.2
Release:        3%{?dist}
Summary:        A tool to manage system-wide CA certificates

Group:          Applications/System
License:        GPLv2+
URL:            http://fedorahosted.org/%{name}
Source0:        http://sspreitzer.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       openssl python nss-tools

%description
A tool to manage system-wide x509 Certfication Authority certificates
in OpenSSL index directory style and the shared system NSS storage.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 src/update-ca-certificates $RPM_BUILD_ROOT%{_sbindir}
install -m 644 update-ca-certificates.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sbindir}/update-ca-certificates
%{_mandir}/man?/*

%changelog
* Thu Aug 05 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-3
- Substituted cp with install in spec file
- New fedorahosted.org git repo + trac
- changed dir structure, src/update-ca-certificates

* Wed Aug 04 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-2
- fixed relative path issue, thanks to Sandro "red" Mathys
- add license file and changed license shorttag in spec to reflect GPLv2+
- corrected typos, enhanced description, added verbosity

* Tue Aug 03 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-1
- Almost complete rewrite of source, many improvements
- add/delete certs
- nss switch
- no config file needed

* Mon Aug 02 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.1-1
- Initial release
